Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 528310 - app-admin/ulogd-2.0.4 with kernel 3.17 - In file included from libipulog.c:31:0: ../include/libipulog/libipulog.h:13:43: fatal error: linux/netfilter_ipv4/ipt_ULOG.h: No such file or directory
Summary: app-admin/ulogd-2.0.4 with kernel 3.17 - In file included from libipulog.c:31...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Coacher
URL: https://bugzilla.netfilter.org/show_b...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-05 12:40 UTC by Thomas Deutschmann
Modified: 2014-11-18 03:09 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ulogd-2.0.4.patch (ulogd-2.0.4.patch,1.47 KB, patch)
2014-11-07 15:36 UTC, Coacher
Details | Diff
ulogd-2.0.4-r1.ebuild (ulogd-2.0.4-r9999.ebuild,3.30 KB, text/plain)
2014-11-15 21:02 UTC, Coacher
Details
include-keep-a-copy-of-linux-netfilter_ipv4-ipt_ULOG.patch (include-keep-a-copy-of-linux-netfilter_ipv4-ipt_ULOG.patch,3.11 KB, patch)
2014-11-15 21:02 UTC, Coacher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2014-11-05 12:40:54 UTC
Hi,

building app-admin/ulogd with >=linux-3.17 will fail:

>>> Emerging (2 of 2) app-admin/ulogd-2.0.4::gentoo
 * ulogd-2.0.4.tar.bz2 SHA256 SHA512 WHIRLPOOL size ;-) ...                                                      [ ok ]
 * Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found kernel object directory:
 *     /lib/modules/3.17.2-gentoo/build
 * Found sources for kernel version:
 *     3.17.2-gentoo
>>> Unpacking source...
>>> Unpacking ulogd-2.0.4.tar.bz2 to /var/tmp/portage/app-admin/ulogd-2.0.4/work
>>> Source unpacked in /var/tmp/portage/app-admin/ulogd-2.0.4/work
>>> Preparing source in /var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4 ...
 * Running eautoreconf in '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4' ...
 * Running libtoolize --copy --force --automake ...                                                              [ ok ]
 * Running aclocal -I m4 ...                                                                                     [ ok ]
 * Running autoconf ...                                                                                          [ ok ]
 * Running autoheader ...                                                                                        [ ok ]
 * Running automake --add-missing --copy --foreign --force-missing ...                                           [ ok ]
 * Running elibtoolize in: ulogd-2.0.4/
 *   Applying portage/1.2.0 patch ...
 *   Applying sed/1.5.6 patch ...
 *   Applying as-needed/2.4.2 patch ...
 * Running elibtoolize in: ulogd-2.0.4/build-aux/
 *   Applying portage/1.2.0 patch ...
 *   Applying sed/1.5.6 patch ...
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4"
 * econf: updating ulogd-2.0.4/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating ulogd-2.0.4/build-aux/config.guess with /usr/share/gnuconfig/config.guess
 * econf: updating ulogd-2.0.4/build-aux/config.sub with /usr/share/gnuconfig/config.sub
 * econf: updating ulogd-2.0.4/config.sub with /usr/share/gnuconfig/config.sub
/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/configure --prefix=/usr --build=x86_64-pc-linux-gnu --host=x86_64-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-dependency-tracking --disable-silent-rules --libdir=/usr/lib64 --docdir=/usr/share/doc/ulogd-2.0.4 --without-dbi --without-jansson --disable-nfacct --enable-nfct --enable-nflog --without-mysql --without-pcap --without-pgsql --without-sqlite
configure: loading site script /usr/share/config.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking how to create a pax tar archive... gnutar
checking for style of include used by make... GNU
checking for x86_64-pc-linux-gnu-gcc... x86_64-pc-linux-gnu-gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... none needed
checking whether x86_64-pc-linux-gnu-gcc understands -c and -o together... yes
checking dependency style of x86_64-pc-linux-gnu-gcc... none
checking for x86_64-pc-linux-gnu-ar... x86_64-pc-linux-gnu-ar
checking the archiver (x86_64-pc-linux-gnu-ar) interface... ar
checking whether make supports nested variables... (cached) yes
checking whether make sets $(MAKE)... (cached) yes
checking for x86_64-pc-linux-gnu-gcc... (cached) x86_64-pc-linux-gnu-gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether x86_64-pc-linux-gnu-gcc accepts -g... (cached) yes
checking for x86_64-pc-linux-gnu-gcc option to accept ISO C89... (cached) none needed
checking whether x86_64-pc-linux-gnu-gcc understands -c and -o together... (cached) yes
checking dependency style of x86_64-pc-linux-gnu-gcc... (cached) none
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for fgrep... /bin/grep -F
checking for ld used by x86_64-pc-linux-gnu-gcc... /usr/x86_64-pc-linux-gnu/bin/ld
checking if the linker (/usr/x86_64-pc-linux-gnu/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/x86_64-pc-linux-gnu-nm -B
checking the name lister (/usr/bin/x86_64-pc-linux-gnu-nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/x86_64-pc-linux-gnu/bin/ld option to reload object files... -r
checking for x86_64-pc-linux-gnu-objdump... x86_64-pc-linux-gnu-objdump
checking how to recognize dependent libraries... pass_all
checking for x86_64-pc-linux-gnu-dlltool... no
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for x86_64-pc-linux-gnu-ar... (cached) x86_64-pc-linux-gnu-ar
checking for archiver @FILE support... @
checking for x86_64-pc-linux-gnu-strip... x86_64-pc-linux-gnu-strip
checking for x86_64-pc-linux-gnu-ranlib... x86_64-pc-linux-gnu-ranlib
checking command to parse /usr/bin/x86_64-pc-linux-gnu-nm -B output from x86_64-pc-linux-gnu-gcc object... ok
checking for sysroot... no
checking for a working dd... /bin/dd
checking how to truncate binary pipes... /bin/dd bs=4096 count=1
checking for x86_64-pc-linux-gnu-mt... no
checking for mt... no
checking if : is a manifest tool... no
checking how to run the C preprocessor... x86_64-pc-linux-gnu-gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if x86_64-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions... no
checking for x86_64-pc-linux-gnu-gcc option to produce PIC... -fPIC -DPIC
checking if x86_64-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works... yes
checking if x86_64-pc-linux-gnu-gcc static flag -static works... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... yes
checking if x86_64-pc-linux-gnu-gcc supports -c -o file.o... (cached) yes
checking whether the x86_64-pc-linux-gnu-gcc linker (/usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking for library containing dlopen... -ldl
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking for ANSI C header files... (cached) yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking for unistd.h... (cached) yes
checking for an ANSI C-conforming const... yes
checking for size_t... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking for vprintf... yes
checking for _doprnt... no
checking for socket... yes
checking for strerror... yes
checking for library containing pthread_create... -lpthread
checking for x86_64-pc-linux-gnu-pkg-config... /usr/bin/x86_64-pc-linux-gnu-pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for LIBNFNETLINK... yes
checking for LIBNETFILTER_LOG... yes
checking for LIBNETFILTER_CONNTRACK... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating include/Makefile
config.status: creating include/ulogd/Makefile
config.status: creating include/libipulog/Makefile
config.status: creating include/linux/Makefile
config.status: creating include/linux/netfilter/Makefile
config.status: creating libipulog/Makefile
config.status: creating input/Makefile
config.status: creating input/packet/Makefile
config.status: creating input/flow/Makefile
config.status: creating input/sum/Makefile
config.status: creating filter/Makefile
config.status: creating filter/raw2packet/Makefile
config.status: creating filter/packet2flow/Makefile
config.status: creating output/Makefile
config.status: creating output/pcap/Makefile
config.status: creating output/mysql/Makefile
config.status: creating output/pgsql/Makefile
config.status: creating output/sqlite3/Makefile
config.status: creating output/dbi/Makefile
config.status: creating src/Makefile
config.status: creating Makefile
config.status: creating Rules.make
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands

Ulogd configuration:
  Input plugins:
    NFLOG plugin:                       yes
    NFCT plugin:                        yes
    NFACCT plugin:                      no
  Output plugins:
    PCAP plugin:                        no
    PGSQL plugin:                       no
    MySQL plugin:                       no
    SQLITE3 plugin:                     no
    DBI plugin:                         no
    JSON plugin:                        no

You can now run 'make' and 'make install'
>>> Source configured.
>>> Compiling source in /var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4"
make --jobs 6
make  all-recursive
make[1]: Entering directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4'
Making all in include
make[2]: Entering directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include'
Making all in ulogd
make[3]: Entering directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include/ulogd'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include/ulogd'
Making all in libipulog
make[3]: Entering directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include/libipulog'
make[3]: Nothing to be done for 'all'.
make[3]: Leaving directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include/libipulog'
Making all in linux
make[3]: Entering directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include/linux'
Making all in netfilter
make[4]: Entering directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include/linux/netfilter'
make[4]: Nothing to be done for 'all'.
make[4]: Leaving directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include/linux/netfilter'
make[4]: Entering directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include/linux'
make[4]: Nothing to be done for 'all-am'.
make[4]: Leaving directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include/linux'
make[3]: Leaving directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include/linux'
make[3]: Entering directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include'
make[3]: Nothing to be done for 'all-am'.
make[3]: Leaving directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include'
make[2]: Leaving directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/include'
Making all in libipulog
make[2]: Entering directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/libipulog'
/bin/sh ../libtool  --tag=CC   --mode=compile x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..  -I../include  -Wall -Wextra -Wno-unused-parameter -O2 -pipe -march=core-avx-i -mno-movbe -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-bmi2 -mno-tbm -mno-avx2 -mno-lzcnt --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=generic -c -o libipulog.lo libipulog.c
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I../include -Wall -Wextra -Wno-unused-parameter -O2 -pipe -march=core-avx-i -mno-movbe -mno-abm -mno-lwp -mno-fma -mno-fma4 -mno-xop -mno-bmi -mno-bmi2 -mno-tbm -mno-avx2 -mno-lzcnt --param l1-cache-size=32 --param l1-cache-line-size=64 --param l2-cache-size=8192 -mtune=generic -c libipulog.c  -fPIC -DPIC -o .libs/libipulog.o
In file included from libipulog.c:31:0:
../include/libipulog/libipulog.h:13:43: fatal error: linux/netfilter_ipv4/ipt_ULOG.h: No such file or directory
 #include <linux/netfilter_ipv4/ipt_ULOG.h>
                                           ^
compilation terminated.
Makefile:386: recipe for target 'libipulog.lo' failed
make[2]: *** [libipulog.lo] Error 1
make[2]: Leaving directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4/libipulog'
Makefile:505: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/var/tmp/portage/app-admin/ulogd-2.0.4/work/ulogd-2.0.4'
Makefile:391: recipe for target 'all' failed
make: *** [all] Error 2
 * ERROR: app-admin/ulogd-2.0.4::gentoo failed (compile phase):
 *   emake failed


Reason: ulog target was removed in linux-3.17, see http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=7200135bc1e61f1437dc326ae2ef2f310c50b4eb



Reproducible: Always
Comment 1 Thomas Deutschmann gentoo-dev Security 2014-11-05 12:49:02 UTC
It is actual building with linux-3.17... but it requires <sys-kernel/linux-headers-3.17.

But it will crash when you start it with an active kernel >=linux-3.17.
Comment 2 Coacher 2014-11-05 20:12:19 UTC
Hello.

Thank you for your report. I was expecting problems with ulogd as long-time deprecated ULOG target was removed since 3.17 kernel release. And this is really what this bug report is about.

Currently, ulogd has no option to be built without ULOG target support, AFAIK. I'll see what can be done here.
Comment 3 Coacher 2014-11-06 09:02:11 UTC
(In reply to Thomas D. from comment #1)
> It is actual building with linux-3.17... but it requires
> <sys-kernel/linux-headers-3.17.
> 
> But it will crash when you start it with an active kernel >=linux-3.17.

I've done some testing on my machine.

It's true, ulogd won't build with >=linux-headers-3.17 for obvious reasons, but ulogd starts fine with active kernel 3.17.2. Moreover, if you have no stacks that use ULOG target, ulogd starts without hassle. If you do have a stack with ULOG target, ulogd will print error about this specific stack failing to start, but non-ULOG stacks are initialized fine.

Can you confirm this?

Later today I'll prepare patch for current ebuilds in tree to add proper dependency on linux-headers and a warning message as a workaround. But proper solution has to be done upstream. I'll submit bugreport to upstream bugzilla as well.
Comment 4 Coacher 2014-11-07 15:36:17 UTC
Created attachment 388790 [details, diff]
ulogd-2.0.4.patch

Here is a patch that adds a dependency over <linux-headers-3.17 and prints a warning if there is no support for targets besides ULOG with >=kernel-3.17.0.

Also SRC_URI was expanded a bit.

@proxy-maint, please apply these changes to ebuilds in tree, both ulogd-2.0.3 and ulogd-2.0.4. No revbump needed here.
Comment 5 Thomas Deutschmann gentoo-dev Security 2014-11-08 11:01:19 UTC
(In reply to Coacher from comment #3)
> (In reply to Thomas D. from comment #1)
> > It is actual building with linux-3.17... but it requires
> > <sys-kernel/linux-headers-3.17.
> > 
> > But it will crash when you start it with an active kernel >=linux-3.17.
> 
> I've done some testing on my machine.
> 
> It's true, ulogd won't build with >=linux-headers-3.17 for obvious reasons,
> but ulogd starts fine with active kernel 3.17.2. Moreover, if you have no
> stacks that use ULOG target, ulogd starts without hassle. If you do have a
> stack with ULOG target, ulogd will print error about this specific stack
> failing to start, but non-ULOG stacks are initialized fine.
> 
> Can you confirm this?

Yup, that was my problem, I ignored your elog

> * You must have at least one logging stack enabled to make ulogd work.

After I adjusted the CFG, ulogd was able to start on my running linux-3.17.2 system.

Sorry for that.
Comment 6 Markos Chandras (RETIRED) gentoo-dev 2014-11-08 11:07:17 UTC
(In reply to Coacher from comment #4)
> Created attachment 388790 [details, diff] [details, diff]
> ulogd-2.0.4.patch
> 
> Here is a patch that adds a dependency over <linux-headers-3.17 and prints a
> warning if there is no support for targets besides ULOG with >=kernel-3.17.0.
> 
> Also SRC_URI was expanded a bit.
> 
> @proxy-maint, please apply these changes to ebuilds in tree, both
> ulogd-2.0.3 and ulogd-2.0.4. No revbump needed here.

Will this be fixed upstream?
Comment 7 Markos Chandras (RETIRED) gentoo-dev 2014-11-08 11:08:43 UTC
I fixed 2.0.4 only. No need to touch the stable one at the moment. Thanks for the report.

+  08 Nov 2014; Markos Chandras <hwoarang@gentoo.org> ulogd-2.0.4.ebuild:
+  Add dependency to <linux-headers-3.17. Print warnings >for kernel-3.17. Patch
+  by Coacher <itumaykin@gmail.com>. Bug #528310
+
Comment 8 Coacher 2014-11-08 12:14:58 UTC
(In reply to Markos Chandras from comment #6)
> (In reply to Coacher from comment #4)
> > Created attachment 388790 [details, diff] [details, diff] [details, diff]
> > ulogd-2.0.4.patch
> > 
> > Here is a patch that adds a dependency over <linux-headers-3.17 and prints a
> > warning if there is no support for targets besides ULOG with >=kernel-3.17.0.
> > 
> > Also SRC_URI was expanded a bit.
> > 
> > @proxy-maint, please apply these changes to ebuilds in tree, both
> > ulogd-2.0.3 and ulogd-2.0.4. No revbump needed here.
> 
> Will this be fixed upstream?

Yes. There is already a patch from devs they've asked me to test. I'll get to it when I have free time. Probably by Sunday evening I'll be able to test it and if it works we can include it in our ebuilds.
Comment 9 Coacher 2014-11-08 12:15:16 UTC
(In reply to Markos Chandras from comment #7)
> I fixed 2.0.4 only. No need to touch the stable one at the moment. Thanks
> for the report.
> 
> +  08 Nov 2014; Markos Chandras <hwoarang@gentoo.org> ulogd-2.0.4.ebuild:
> +  Add dependency to <linux-headers-3.17. Print warnings >for kernel-3.17.
> Patch
> +  by Coacher <itumaykin@gmail.com>. Bug #528310
> +

Thanks!
Comment 10 Coacher 2014-11-15 21:02:14 UTC
Created attachment 389454 [details]
ulogd-2.0.4-r1.ebuild

@proxy-maint, I need your advise on this one.

There is a patch available upstream that 'fixes' this issue, i.e. ulogd can be compiled with linux-headers-3.17. I've tested it on my machine and it works fine. Should we push it via revbump or we can simply update existing ulogd-2.0.4 ebuild?

I've attached needed files to this bugreport: updated ebuild and upstream patch itself.
Comment 11 Coacher 2014-11-15 21:02:44 UTC
Created attachment 389456 [details, diff]
include-keep-a-copy-of-linux-netfilter_ipv4-ipt_ULOG.patch
Comment 12 Coacher 2014-11-15 21:03:44 UTC
Reopening for another ebuild update on this one.
Comment 13 Yixun Lan gentoo-dev 2014-11-17 23:37:00 UTC
(In reply to Coacher from comment #10)
> Created attachment 389454 [details]
> ulogd-2.0.4-r1.ebuild
> 
> @proxy-maint, I need your advise on this one.
> 
> There is a patch available upstream that 'fixes' this issue, i.e. ulogd can
> be compiled with linux-headers-3.17. I've tested it on my machine and it
> works fine. Should we push it via revbump or we can simply update existing
> ulogd-2.0.4 ebuild?
> 
I don't think a revnbump is needed here.
I haven't installed the package myself, but my best guess is that it won't change files which already installed? (correct me if I'm wrong)

so users previously with <linux-headers-3.17 installed and have already successfully emerged ulogd don't have to install this package again (without any files changed?).

users who previously installed >=linux-headers-3.17, and failed to install ulogd,
now they find that they can install this ebuild successfully, no regressions.
Comment 14 Yixun Lan gentoo-dev 2014-11-18 02:22:34 UTC
+  18 Nov 2014; Yixun Lan <dlan@gentoo.org> ulogd-2.0.4.ebuild,
+  +files/ulogd-2.0.4-linux-headers-3.17-ipt_ulog.patch:
+  fix compile err with >=linux-headers-3.17, bug 528310

pushed in tree without revision bump, since no files installed will change,thanks
Comment 15 Yixun Lan gentoo-dev 2014-11-18 02:25:02 UTC
(In reply to Coacher from comment #11)
> Created attachment 389456 [details, diff] [details, diff]
> include-keep-a-copy-of-linux-netfilter_ipv4-ipt_ULOG.patch

btw, I slightly rename the patch to keep it sync with Gentoo's convention,
using ${P}-blah-blah.patch, or take a look at [1], thanks

[1] http://dev.gentoo.org/~vapier/clean-patches
Comment 16 Coacher 2014-11-18 03:08:31 UTC
(In reply to Yixun Lan from comment #14)
> +  18 Nov 2014; Yixun Lan <dlan@gentoo.org> ulogd-2.0.4.ebuild,
> +  +files/ulogd-2.0.4-linux-headers-3.17-ipt_ulog.patch:
> +  fix compile err with >=linux-headers-3.17, bug 528310
> 
> pushed in tree without revision bump, since no files installed will
> change,thanks

Thanks.
Comment 17 Coacher 2014-11-18 03:09:08 UTC
(In reply to Yixun Lan from comment #15)
> (In reply to Coacher from comment #11)
> > Created attachment 389456 [details, diff] [details, diff] [details, diff]
> > include-keep-a-copy-of-linux-netfilter_ipv4-ipt_ULOG.patch
> 
> btw, I slightly rename the patch to keep it sync with Gentoo's convention,
> using ${P}-blah-blah.patch, or take a look at [1], thanks
> 
> [1] http://dev.gentoo.org/~vapier/clean-patches

Fine with me. Thanks for the link.